---
title: get company
slug: api-documentation/get-company
docTags: 
createdAt: 2026-08-27T17:08:54.010Z
---

{
  "id": "bLgXp_t4nqnvPvtDVNS30",
  "type": "api-oas-v2",
  "data": {
    "method": "POST",
    "url": "https://api.upstartcommerce.com/v1/tax/companies",
    "servers": [
      {
        "url": "https://api.upstartcommerce.com/v1/tax/companies",
        "description": "Dev Server"
      }
    ],
    "name": "get company",
    "description": "<p>This endpoint displays all the companies associated with a certain tenant.</p>\n<p>Authorized permissions:</p>\n<ul>\n<li>Authorizers.taxRead</li>\n</ul>",
    "contentType": "application/json",
    "request": {
      "pathParameters": [],
      "headerParameters": [
        {
          "name": "accept",
          "type": "string",
          "kind": "optional",
          "description": "Generated from available response content types",
          "enum": [
            "application/json"
          ],
          "default": "application/json"
        },
        {
          "kind": "required",
          "name": "x-upstart-tenant",
          "type": "string",
          "description": "Tenant identifier associated with the site this call is for."
        }
      ],
      "queryParameters": [],
      "bodyDataParameters": [
        {
          "kind": "optional",
          "name": "body",
          "type": "object",
          "description": "Tax provider credentials and environment identifying the companies to retrieve.",
          "schema": [
            {
              "name": "userName",
              "kind": "required",
              "type": "string",
              "description": "Username of the configuration this call is for.",
              "minLength": 1
            },
            {
              "name": "password",
              "kind": "required",
              "type": "string",
              "description": "Password of the configuration's username this call is for.",
              "minLength": 1
            },
            {
              "name": "environment",
              "kind": "required",
              "type": "string<Sandbox | Production>",
              "description": "Environment of the configuration this call is for.",
              "enum": [
                "Sandbox",
                "Production"
              ],
              "minLength": 1
            }
          ],
          "isExpanded": true
        }
      ],
      "formDataParameters": [],
      "oAuthParameters": [],
      "cookieParameters": []
    },
    "responses": [
      {
        "statusCode": "200",
        "description": "<p>Success-found the company.</p>",
        "jsonExample": "",
        "isExpanded": true,
        "subExamples": [
          {
            "label": "GENERATED",
            "code": "// Success-found the company.\n[\n  {\n    \"id\": 0,\n    \"accountId\": 0,\n    \"companyCode\": \"\",\n    \"name\": \"\",\n    \"isDefault\": false,\n    \"isActive\": false,\n    \"taxpayerIdNumber\": \"\",\n    \"hasProfile\": false,\n    \"isReportingEntity\": false,\n    \"defaultCountry\": \"\",\n    \"baseCurrencyCode\": \"\",\n    \"roundingLevelId\": \"\",\n    \"warningsEnabled\": false,\n    \"isTest\": false,\n    \"taxDependencyLevelId\": \"\",\n    \"inProgress\": false,\n    \"createdDate\": 0,\n    \"createdUserId\": 0,\n    \"modifiedDate\": 0,\n    \"modifiedUserId\": 0\n  }\n]"
          },
          {
            "label": "example-1",
            "code": "[\n  {\n    \"id\": 0,\n    \"accountId\": 0,\n    \"companyCode\": \"string\",\n    \"name\": \"string\",\n    \"isDefault\": true,\n    \"isActive\": true,\n    \"taxpayerIdNumber\": \"string\",\n    \"hasProfile\": true,\n    \"isReportingEntity\": true,\n    \"defaultCountry\": \"string\",\n    \"baseCurrencyCode\": \"string\",\n    \"roundingLevelId\": \"string\",\n    \"warningsEnabled\": true,\n    \"isTest\": true,\n    \"taxDependencyLevelId\": \"string\",\n    \"inProgress\": true,\n    \"createdDate\": 0,\n    \"createdUserId\": 0,\n    \"modifiedDate\": 0,\n    \"modifiedUserId\": 0\n  }\n]"
          }
        ],
        "schema": [
          {
            "kind": "optional",
            "type": "array",
            "description": "",
            "minItems": 1,
            "uniqueItems": true,
            "schema": [
              {
                "name": "id",
                "kind": "optional",
                "type": "number",
                "description": "This company's unique identifier."
              },
              {
                "name": "accountId",
                "kind": "optional",
                "type": "number",
                "description": "The unique ID number of the account this company belongs to."
              },
              {
                "name": "companyCode",
                "kind": "optional",
                "type": "string",
                "description": "Company's unique code within your account.",
                "minLength": 1
              },
              {
                "name": "name",
                "kind": "optional",
                "type": "string",
                "description": "Name of the company.",
                "minLength": 1
              },
              {
                "name": "isDefault",
                "kind": "optional",
                "type": "boolean",
                "description": "This flag is true if this company is the default company for this account. Only one company may be set as default."
              },
              {
                "name": "isActive",
                "kind": "optional",
                "type": "boolean",
                "description": "This flag indicates whether tax activity can occur for this company. The flag is set to true to permit the company to process transactions."
              },
              {
                "name": "taxpayerIdNumber",
                "kind": "optional",
                "type": "string",
                "description": "<p>For United States companies, this field contains your Taxpayer Identification Number. This is a nine digit number that is usually called an EIN for an Employer Identification Number if this company is a corporation, or SSN for a Social Security Number if this company is a person. This value is required if the address provided is inside the US and if you subscribed to the Avalara Managed Returns or SST Certified Service Provider service. Otherwise it is optional.</p>",
                "minLength": 1
              },
              {
                "name": "hasProfile",
                "kind": "optional",
                "type": "boolean",
                "description": "<p>This flag determines whether a company has its own unique tax profile or not. If this flag is true, this company will have its own Nexus, TaxRule, TaxCode, and Item definitions. If this flag is false, this company will inherit all profile values from its parent.</p>"
              },
              {
                "name": "isReportingEntity",
                "kind": "optional",
                "type": "boolean",
                "description": "<p>Set this flag to true if this company must file its own tax returns. For users who have Returns enabled, this flag turns on monthly Worksheet generation for this company.</p>"
              },
              {
                "name": "defaultCountry",
                "kind": "optional",
                "type": "string",
                "description": "The two character country code of the company's default country.",
                "minLength": 1
              },
              {
                "name": "baseCurrencyCode",
                "kind": "optional",
                "type": "string",
                "description": "A three character currency code of the default currency used by this company.",
                "minLength": 1
              },
              {
                "name": "roundingLevelId",
                "kind": "optional",
                "type": "string",
                "description": "Indicates whether this company prefers to round amounts at the document level or line level.",
                "minLength": 1
              },
              {
                "name": "warningsEnabled",
                "kind": "optional",
                "type": "boolean",
                "description": "This flag is set to true to receive warnings in API calls via SOAP."
              },
              {
                "name": "isTest",
                "kind": "optional",
                "type": "boolean",
                "description": "<p>This flag is set to true to indicate that this company is a test company. If you have Returns enabled, Test companies will not file tax returns and can be used for validation purposes.</p>"
              },
              {
                "name": "taxDependencyLevelId",
                "kind": "optional",
                "type": "string",
                "description": "This is used to apply tax detail dependency at a jurisdiction level.",
                "minLength": 1
              },
              {
                "name": "inProgress",
                "kind": "optional",
                "type": "boolean",
                "description": "<p>This flag is set to true to indicate that you are still working to finish configuring this company. While this value is true, no tax reporting will occur and the company will not be usable for transactions.</p>"
              },
              {
                "name": "createdDate",
                "kind": "optional",
                "type": "number",
                "description": "The date when this record was created."
              },
              {
                "name": "createdUserId",
                "kind": "optional",
                "type": "number",
                "description": "The User ID of the user who created this record."
              },
              {
                "name": "modifiedDate",
                "kind": "optional",
                "type": "number",
                "description": "The date when this record was last modified."
              },
              {
                "name": "modifiedUserId",
                "kind": "optional",
                "type": "number",
                "description": "The user ID of the user who last modified this record."
              }
            ],
            "itemType": "object",
            "customType": "object[]",
            "isExpanded": true
          }
        ]
      },
      {
        "statusCode": "400",
        "description": "<p>Bad Request-the request contained data that could not be processed.</p>",
        "jsonExample": "",
        "isExpanded": true,
        "schema": [
          {
            "kind": "optional",
            "type": "object",
            "description": "<p>Error payload returned by the bad-request and unauthorized responses, identifying the failure by name, code and detail.</p>",
            "customType": "GeneralError",
            "schema": [
              {
                "name": "name",
                "kind": "required",
                "type": "string",
                "description": "Error name.",
                "minLength": 1
              },
              {
                "name": "code",
                "kind": "required",
                "type": "string",
                "description": "Error code.",
                "minLength": 1
              },
              {
                "name": "reason",
                "kind": "optional",
                "type": "string",
                "description": "Reason why this error occurred.",
                "minLength": 1
              },
              {
                "name": "detail",
                "kind": "required",
                "type": "string",
                "description": "Error details.",
                "minLength": 1
              }
            ],
            "modelRef": "#/components/schemas/GeneralError",
            "isExpanded": true
          }
        ]
      },
      {
        "statusCode": "401",
        "description": "<p>Unauthorized-the provided credentials were invalid for this endpoint.</p>",
        "jsonExample": "",
        "isExpanded": true,
        "schema": [
          {
            "kind": "optional",
            "type": "object",
            "description": "<p>Error payload returned by the bad-request and unauthorized responses, identifying the failure by name, code and detail.</p>",
            "customType": "GeneralError",
            "schema": [
              {
                "name": "name",
                "kind": "required",
                "type": "string",
                "description": "Error name.",
                "minLength": 1
              },
              {
                "name": "code",
                "kind": "required",
                "type": "string",
                "description": "Error code.",
                "minLength": 1
              },
              {
                "name": "reason",
                "kind": "optional",
                "type": "string",
                "description": "Reason why this error occurred.",
                "minLength": 1
              },
              {
                "name": "detail",
                "kind": "required",
                "type": "string",
                "description": "Error details.",
                "minLength": 1
              }
            ],
            "modelRef": "#/components/schemas/GeneralError",
            "isExpanded": true
          }
        ]
      },
      {
        "statusCode": "404",
        "description": "<p>Not Found-the requested resource was not found in the NoChannel system.</p>",
        "jsonExample": "",
        "isExpanded": true
      }
    ],
    "hasXCodeSamples": false,
    "examples": {
      "languages": [
        {
          "id": "DO17VqaGRvzgqX2cWruMx",
          "language": "curl",
          "label": "cURL",
          "code": "curl --request POST \\\n     --url https://api.upstartcommerce.com/v1/tax/companies \\\n     --header 'accept: application/json' \\\n     --header 'content-type: application/json' \\\n     --header 'x-upstart-tenant: string' \\\n     --data '{\n     \"userName\": \"\",\n     \"password\": \"\",\n     \"environment\": \"\"\n     }'"
        },
        {
          "id": "O78vYYSdoR4rhVqPPw58H",
          "language": "javascript",
          "label": "javascript",
          "code": "var myHeaders = new Headers();\nmyHeaders.append(\"accept\", \"application/json\");\nmyHeaders.append(\"content-type\", \"application/json\");\nmyHeaders.append(\"x-upstart-tenant\", \"string\");\n\nvar raw = JSON.stringify({\n   \"userName\": \"\",\n   \"password\": \"\",\n   \"environment\": \"\"\n});\n\nvar requestOptions = {\n   method: 'POST',\n   headers: myHeaders,\n   body: raw,\n   redirect: 'follow'\n};\n\nfetch(\"https://api.upstartcommerce.com/v1/tax/companies\", requestOptions)\n   .then(response => response.text())\n   .then(result => console.log(result))\n   .catch(error => console.log('error', error));"
        },
        {
          "id": "AeLMegBmqY8-tY0Diduei",
          "language": "ruby",
          "label": "Ruby",
          "code": "require \"uri\"\nrequire \"json\"\nrequire \"net/http\"\n\nurl = URI(\"https://api.upstartcommerce.com/v1/tax/companies\")\n\nhttps = Net::HTTP.new(url.host, url.port)\nhttps.use_ssl = true\n\nrequest = Net::HTTP::Post.new(url)\nrequest[\"accept\"] = \"application/json\"\nrequest[\"content-type\"] = \"application/json\"\nrequest[\"x-upstart-tenant\"] = \"string\"\nrequest.body = JSON.dump({\n   \"userName\": \"\",\n   \"password\": \"\",\n   \"environment\": \"\"\n})\n\nresponse = https.request(request)\nputs response.read_body\n"
        },
        {
          "id": "QBqdxjZUMF5a0bOBeSRaF",
          "language": "python",
          "label": "Python",
          "code": "import requests\nimport json\n\nurl = \"https://api.upstartcommerce.com/v1/tax/companies\"\n\npayload = json.dumps({\n   \"userName\": \"\",\n   \"password\": \"\",\n   \"environment\": \"\"\n})\nheaders = {\n   'accept': 'application/json',\n   'content-type': 'application/json',\n   'x-upstart-tenant': 'string'\n}\n\nresponse = requests.request(\"POST\", url, headers=headers, data=payload)\n\nprint(response.text)\n"
        }
      ],
      "selectedLanguageId": "DO17VqaGRvzgqX2cWruMx"
    },
    "results": {
      "languages": [
        {
          "id": "EY30_nIYskLS9L1Ds2-ej",
          "language": "200",
          "code": "// Success-found the company.\n[\n  {\n    \"id\": 0,\n    \"accountId\": 0,\n    \"companyCode\": \"\",\n    \"name\": \"\",\n    \"isDefault\": false,\n    \"isActive\": false,\n    \"taxpayerIdNumber\": \"\",\n    \"hasProfile\": false,\n    \"isReportingEntity\": false,\n    \"defaultCountry\": \"\",\n    \"baseCurrencyCode\": \"\",\n    \"roundingLevelId\": \"\",\n    \"warningsEnabled\": false,\n    \"isTest\": false,\n    \"taxDependencyLevelId\": \"\",\n    \"inProgress\": false,\n    \"createdDate\": 0,\n    \"createdUserId\": 0,\n    \"modifiedDate\": 0,\n    \"modifiedUserId\": 0\n  }\n]",
          "subExamples": [
            {
              "label": "GENERATED",
              "code": "// Success-found the company.\n[\n  {\n    \"id\": 0,\n    \"accountId\": 0,\n    \"companyCode\": \"\",\n    \"name\": \"\",\n    \"isDefault\": false,\n    \"isActive\": false,\n    \"taxpayerIdNumber\": \"\",\n    \"hasProfile\": false,\n    \"isReportingEntity\": false,\n    \"defaultCountry\": \"\",\n    \"baseCurrencyCode\": \"\",\n    \"roundingLevelId\": \"\",\n    \"warningsEnabled\": false,\n    \"isTest\": false,\n    \"taxDependencyLevelId\": \"\",\n    \"inProgress\": false,\n    \"createdDate\": 0,\n    \"createdUserId\": 0,\n    \"modifiedDate\": 0,\n    \"modifiedUserId\": 0\n  }\n]"
            },
            {
              "label": "example-1",
              "code": "[\n  {\n    \"id\": 0,\n    \"accountId\": 0,\n    \"companyCode\": \"string\",\n    \"name\": \"string\",\n    \"isDefault\": true,\n    \"isActive\": true,\n    \"taxpayerIdNumber\": \"string\",\n    \"hasProfile\": true,\n    \"isReportingEntity\": true,\n    \"defaultCountry\": \"string\",\n    \"baseCurrencyCode\": \"string\",\n    \"roundingLevelId\": \"string\",\n    \"warningsEnabled\": true,\n    \"isTest\": true,\n    \"taxDependencyLevelId\": \"string\",\n    \"inProgress\": true,\n    \"createdDate\": 0,\n    \"createdUserId\": 0,\n    \"modifiedDate\": 0,\n    \"modifiedUserId\": 0\n  }\n]"
            }
          ]
        },
        {
          "id": "UVcC8s9v6b1RxPtQRe7p6",
          "language": "400",
          "code": "// Bad Request-the request contained data that could not be processed.\n{\n  \"name\": \"\",\n  \"code\": \"\",\n  \"reason\": \"\",\n  \"detail\": \"\"\n}"
        },
        {
          "id": "OfTEDWtEnFIW9Wm0mvPKg",
          "language": "401",
          "code": "// Unauthorized-the provided credentials were invalid for this endpoint.\n{\n  \"name\": \"\",\n  \"code\": \"\",\n  \"reason\": \"\",\n  \"detail\": \"\"\n}"
        },
        {
          "id": "FpKBSt0l3SWF-Aw1gsySv",
          "language": "404",
          "code": "// Not Found-the requested resource was not found in the NoChannel system.\n"
        }
      ],
      "selectedLanguageId": "EY30_nIYskLS9L1Ds2-ej"
    }
  },
  "children": [
    {
      "text": ""
    }
  ]
}